- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions

# FbxQueryOperator Class Reference

Search for all occurrences

## Detailed Description

Definition at line 234 of file fbxquery.h.

`#include <fbxquery.h>`

Inheritance diagram for FbxQueryOperator:
[legend]

List of all members.

## Public Types
enum | EType { eAND, eOR }
## Public Member Functions
| FBXSDK_FRIEND_NEW ()
virtual FbxInt | GetUniqueId () const
| Get unique filter Id.
virtual bool | IsValid (const FbxProperty &pProperty) const
| Judge if the given property is valid.
virtual bool | IsEqual (FbxQuery *pOtherQuery) const
| This compares whether two FbxQuery are the same, NOT whether the query matches or not.
## Static Public Member Functions
static FbxQueryOperator * | Create (FbxQuery *pA, EType pOperator, FbxQuery *pB)
## Protected Member Functions
| FbxQueryOperator (FbxQuery *pA, EType pOperator, FbxQuery *pB)
virtual | ~FbxQueryOperator ()

## Member Enumeration Documentation

enum EType

Search for all occurrences

Enumerator:

  eAND | Search for all occurrences
  eOR | Search for all occurrences

Definition at line 239 of file fbxquery.h.

    {eAND, eOR};

## Constructor & Destructor Documentation

FbxQueryOperator | ( | FbxQuery * | pA,
|  | EType | pOperator,
|  | FbxQuery * | pB
| ) |  | `[protected]`

virtual ~FbxQueryOperator | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

FBXSDK_FRIEND_NEW | ( |  | ) |

Search for all occurrences

Reimplemented from FbxQuery.

static FbxQueryOperator* Create | ( | FbxQuery * | pA,
|  | EType | pOperator,
|  | FbxQuery * | pB
| ) |  | `[static]`

Search for all occurrences

virtual FbxInt GetUniqueId | ( |  | ) | const `[inline, virtual]`

Search for all occurrences

Get unique filter Id.

Reimplemented from FbxQuery.

Definition at line 242 of file fbxquery.h.

    { return FBXSDK_QUERY_UNIQUE_ID+1; }

virtual bool IsValid | ( | const FbxProperty & | pProperty | ) | const `[virtual]`

Search for all occurrences

Judge if the given property is valid.

Parameters:

  pProperty | The given property.

Returns:
  `True` always, not implemented.

Reimplemented from FbxQuery.

virtual bool IsEqual | ( | FbxQuery * | pOtherQuery | ) | const `[virtual]`

Search for all occurrences

This compares whether two FbxQuery are the same, NOT whether the query matches or not.

It's strictly the equivalent of an operator==, but virtual.

Parameters:

  pOtherQuery | The given FbxQuery

Reimplemented from FbxQuery.

The documentation for this class was generated from the following file:

- fbxsdk/core/fbxquery.h

FbxQueryOperator FbxQueryOperator FbxQueryOperator FbxQueryOperator FbxQueryOperator FbxQueryOperator FbxQueryOperator FbxQueryOperator FbxQueryOperator FbxQueryOperator
FbxQueryOperator FbxQueryOperator FbxQueryOperator FbxQueryOperator FbxQueryOperator FbxQueryOperator FbxQueryOperator FbxQueryOperator FbxQueryOperator FbxQueryOperator